Bug 823934 - cifs: Cleanup cifs mount code.
cifs: Cleanup cifs mount code.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.4
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Sachin Prabhu
Jian Li
:
Depends On:
Blocks: 798385
  Show dependency treegraph
 
Reported: 2012-05-22 09:25 EDT by Sachin Prabhu
Modified: 2014-03-03 19:08 EST (History)
5 users (show)

See Also:
Fixed In Version: kernel-2.6.32-298.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 00:57:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin Prabhu 2012-05-22 09:25:19 EDT
Cleanup cifs mount code.

Backport following upstream patches

37bb04e5a091a5330faef0cc09930326672b7061 CIFS: Simplify connection structure search calls
724d9f1cfba0cb16a7151333b501e8f7885450d8 CIFS: Simplify mount code for further shared sb capability
b2e5cd33b598fb496b9366c445bd77c801efabb8 CIFS: Fix undefined behavior when mount fails
d2445556137c38ae15d3191174bfd235630ed7cd [CIFS] Remove build warning
9b6763e0aacf245b58687a372816a0a4aabf2b1e cifs: Remove unused inode number while fetching root inode
96daf2b09178d8ebde2b0d56b027de917c17dfdf [CIFS] Rename three structures to avoid camel case
f87d39d951329cd8f462bf9007d334122c0599d0 [CIFS] Migrate from prefixpath logic
6848b7334b24b47aa3d0e70342ff839ffa95d5fa [CIFS] When mandatory encryption on share, fail mount
641a58d66d086327042e9d73c6606fd02c8f067c CIFS: Fix memory leak in cifs_do_mount
040d15c86747cf44fcf6b8ee19d805d4ef20caf3 [CIFS] trivial cleanup fscache cFYI and cERROR messages
6d6861757dfadb7d6aec6bb34acd471210a755f9 cifs: double free on mount failure
ca171baaad1420a29cca98be5bdf5596cd70b294 cifs: don't leak nls on mount failure
2c6292ae4be00454882246d07f38cdf15a823c2a cifs: don't pass superblock to cifs_mount()
5d3bc605cafe3f367b1c43b673bf643245c81626 cifs: allocate mountdata earlier
2ced6f693581357b2a5bf8b031a702c624b12d0d cifs: initialize ->tlink_tree in cifs_setup_cifs_sb()
2a9b99516c662d1713d58648e4a4c9aef72051bc sanitize cifs_umount() prototype
97d1152acec0647b72f8c6ecc57da0d6fed574de cifs: pull cifs_mount() call up
98ab494dd1d25388981114057cf9446250cc7dc7 cifs: move cifs_umount() call into ->kill_sb()
d757d71bfc30669a500b72792067e8d1c5d401a5 cifs: pull freeing mountdata/dropping nls/freeing cifs_sb into cifs_umount()
25c7f41e9234f60af30e086278f1de7974f8816f CIFS: Migrate to shared superblock model
ee01a14d9ddcf3f832f9ceb837888501cb496e27 cifs: close sget() races
5c4f1ad7c6aa3b729bd3a93b80f9417d7e978c32 cifs: tidy cifs_do_mount() up a bit
Comment 2 RHEL Product and Program Management 2012-07-27 12:40:35 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 3 Jian Li 2012-08-01 02:03:34 EDT
cifs general test is needed.
Comment 4 Jarod Wilson 2012-08-16 17:22:25 EDT
Patch(es) available on kernel-2.6.32-298.el6
Comment 7 Jian Li 2013-02-01 11:58:41 EST
SanityOnly test is done.
Comment 9 errata-xmlrpc 2013-02-21 00:57:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html

Note You need to log in before you can comment on or make changes to this bug.